#!/bin/sh
# "cdadd" copyright 1994 thomas insel
#         copyright 1996 sven oliver moll
usage()
{
  echo >&2 Usage: `basename $0` [-[0-7]]
  echo >&2 This program is part of cdtool. See \"man cdtool\" for more info.
  exit 1
}

case $# in
  [01]) ;;
  *) usage;;
esac

case x$1 in
  x-[0-7]) DRIVE=$1;;
  x) ;;
  *) usage;;
esac

@BINDIR@/cdir $DRIVE -t > ~/.cdadd-$$

if [ -z $EDITOR ]; then
  EDITOR=editor
fi
$EDITOR ~/.cdadd-$$
cat ~/.cdadd-$$ >>~/.cdtooldb
rm ~/.cdadd-$$
